#
# spec file for package meanwhile
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define lname	libmeanwhile1
Name:           meanwhile
Version:        1.0.2
Release:        lp150.1.7
Summary:        Lotus Sametime Community Client Library
License:        LGPL-2.1+
Group:          Development/Libraries/C and C++
Url:            http://meanwhile.sf.net/
Source:         http://sourceforge.net/projects/meanwhile/files/meanwhile/%{version}/%{name}-%{version}.tar.gz
Patch0:         meanwhile-status.diff
Patch1:         meanwhile-glib-2.31.patch
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  glib2-devel
BuildRequires:  libtool
BuildRequires:  pkg-config
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Library to establish instant messaging connections to the Lotus
Sametime IM server.

%package -n %{lname}
Summary:        Lotus Sametime Community Client Library
Group:          System/Libraries
# O/P added 2011-11-26
Obsoletes:      libmeanwhile < %{version}-%{release}
Provides:       libmeanwhile = %{version}-%{release}

%description -n %{lname}
Library to establish instant messaging connections to the Lotus
Sametime IM server.

%package devel
Summary:        Lotus Sametime Community Client library
Group:          Development/Libraries/C and C++
Requires:       %{lname} = %{version}, glib2-devel

%description devel
Library to establish instant messaging connections to the Lotus
Sametime IM server.

%package doc
Summary:        Lotus Sametime Community Client library
Group:          Development/Libraries/C and C++

%description doc
Library to establish instant messaging connections to the Lotus
Sametime IM server.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
autoreconf -fiv
%configure \
  --disable-doxygen \
  --disable-static
make %{?_smp_mflags} \
	htmldocdir=%{_docdir}/%{name}/html\
	latexdocdir=%{_docdir}/%{name}/latex\
	sampledir=%{_docdir}/%{name}/samples

%install
make DESTDIR=%{buildroot} install %{?_smp_mflags}\
	htmldocdir=%{_docdir}/%{name}/html\
	latexdocdir=%{_docdir}/%{name}/latex\
	sampledir=%{_docdir}/%{name}/samples
# NEWS is empty
find %{buildroot} -type f -name "*.la" -delete -print

%post -n %{lname} -p /sbin/ldconfig

%postun -n %{lname} -p /sbin/ldconfig

%files -n %{lname}
%defattr(-,root,root)
%doc COPYING README
%{_libdir}/libmeanwhile.so.1*

%files devel
%defattr(-,root,root)
%doc TODO ChangeLog README
%{_includedir}/meanwhile
%{_libdir}/*.so
%{_libdir}/pkgconfig/meanwhile.pc

%files doc
%defattr(-,root,root)
%dir %{_docdir}/%{name}
%{_docdir}/%{name}/samples

%changelog
* Fri Sep 11 2015 mpluskal@suse.com
- Use url for source
- Update dependencies
- Cleanup spec file with spec-cleaner
* Mon Nov 28 2011 dimstar@opensuse.org
- Add meanwhile-glib-2.31.patch: Fix build with glib 2.31.
- Fix packaging: Do not package files in -doc and the library.
  + Move any files out of the lib package that do not belong there.
    This finally allows to have multiple libmeanwhil<n> installable
    without conflicting on file level.
* Wed Nov 23 2011 jengelh@medozas.de
- Remove redundant/unwanted tags/section (cf. specfile guidelines)
- Use %%_smp_mflags for parallel building
- Employ shlib packaging
* Wed Nov 23 2011 coolo@suse.com
- add libtool as buildrequire to avoid implicit dependency
* Thu May 26 2011 crrodriguez@opensuse.org
- Remove "la" files and static libraries
- Disable doxygen docs generation, timestamps break build-compare.
* Thu May 14 2009 rfno@fietze-home.de
- apply patch to fix status update problem
  (http://sourceforge.net/tracker/index.php?func=detail&aid=1626349&group_id=110565&atid=656718)
* Thu May 10 2007 sbrabec@suse.cz
- Updated to version 1.0.2:
  * Encryption support.
  * Documentation package.
  * Large message support.
  * API changes, new library version.
  * Bug fixes.
* Fri Jan 27 2006 dmueller@suse.de
- update to 0.4.2 for Kopete support (#118081)
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Sep 26 2005 mls@suse.de
- make devel package require base package
* Tue May 17 2005 adrian@suse.de
- update to version 0.4.1
* Tue Apr 26 2005 adrian@suse.de
- update to version 0.4.0
* Tue Dec  7 2004 adrian@suse.de
- initial package of version 0.3
